%define snap 20050529
%define bs_ver 0.2.0-RC8f-CVS

%define	major	1
%define libname	%mklibname pri %{major}

Summary:	An implementation of Primate and Basic Rate ISDN
Name:		libpri
Version:	1.1
Release:	%mkrel 0.%{snap}.2
License:	GPL
Group:		System/Libraries
URL:		http://www.asterisk.org/
Source0:	http://www.asterisk.org/html/downloads/%{name}-%{version}-%{snap}.tar.bz2
Patch0:		libpri-1.0.8-20050529-mdk.diff.bz2
Patch1:		libpri-1.0.8-20050529-bristuff-0.2.0-RC8f-CVS.diff.bz2
BuildRequires:	%{mklibname zap 1}-devel >= 1.0.1
BuildConflicts:	%{mklibname pri %{major}}-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libpri is a C implementation of the Primary Rate ISDN
specification. It was based on the Bellcore specification
SR-NWT-002343 for National ISDN. As of May 12, 2001, it has been
tested work with NI-2, Nortel DMS-100, and Lucent 5E Custom
protocols on switches from Nortel and Lucent.

BRI support was added from the bri-stuff-%{bs_ver} tarball by
Klaus-Peter Junghanns: http://www.junghanns.net/

%package -n	%{libname}
Summary:	An implementation of Primate and Basic Rate ISDN
Group:          System/Libraries

%description -n	%{libname}
libpri is a C implementation of the Primary Rate ISDN
specification. It was based on the Bellcore specification
SR-NWT-002343 for National ISDN. As of May 12, 2001, it has been
tested work with NI-2, Nortel DMS-100, and Lucent 5E Custom
protocols on switches from Nortel and Lucent.

BRI support was added from the bri-stuff-%{bs_ver} tarball by
Klaus-Peter Junghanns: http://www.junghanns.net/

%package -n	%{libname}-devel
Summary:	Development libraries and headers for %{name}
Group:		Development/C
Provides:	%{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
libpri is an implementation of the Primary Rate ISDN specification
(based on the ITU and Bellcore specifications). It supports Lucent
4e and 5e, Nortel DMS-100, and National ISDN switchtypes. 

BRI support was added from the bri-stuff-%{bs_ver} tarball by
Klaus-Peter Junghanns: http://www.junghanns.net/

This package contains all of the development files that you will
need in order to compile %{name} applications.

#%package	utils
#Summary:	Various tools for %{name} diagnostics
#Group:          System/Libraries
#
#%description	utils
#Various tools for %{name} diagnostics

%prep

%setup -q -n %{name}-%{version}-%{snap}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p0
%patch1 -p1

# lib64 fix
find -name "Makefile" | xargs perl -pi -e 's|\$\(INSTALL_BASE\)/lib|\$\(INSTALL_BASE\)/%{_lib}|g'

%build

%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT"
%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT"
# pridump pritest testprilib

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}

make \
    INSTALL_PREFIX="%{buildroot}" \
    install

ln -snf libpri.so.%{major}.0 %{buildroot}%{_libdir}/libpri.so.%{major}
ln -snf libpri.so.%{major}.0 %{buildroot}%{_libdir}/libpri.so

#install -m0755 pridump %{buildroot}%{_sbindir}/
#install -m0755 pritest %{buildroot}%{_sbindir}/
#install -m0755 testprilib %{buildroot}%{_sbindir}/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#%files utils
#%defattr(-,root,root)
#%{_sbindir}/pridump
#%{_sbindir}/pritest
#%{_sbindir}/testprilib

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Sep 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.20050529.2mdk
- rebuild
- use sane deps names

* Wed Jun 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.1mdk
- use a more appropriate version because this is really HEAD and not 1.0.8

* Tue May 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.1mdk
- new snap (20050529)
- rediff P0
- bristuff-0.2.0-RC8f-CVS (P1)
- the utils won't compile, deactivate it for now

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.4mdk
- rebuilt with gcc4

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.3mdk
- bristuff-0.2.0-RC8a-CVS (P1)
- mention the bristuff version in the description

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.2mdk
- don't short circuit

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.1mdk
- use a recent snap
- update P0 to bristuff-0.2.0-RC8-CVS
- added the utils sub package

* Fri Apr 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdk
- update P0 to bristuff-0.2.0-RC8

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- use the %%mkrel macro
- update P0 to bristuff-0.2.0-RC7k

* Sun Feb  6 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-1mdk
- New release 1.0.4
- rpmlint fix: requires-on-release

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-2mdk
- lib64 fix

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P0)

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-3mdk
- bristuff-0.2.0-rc2a (P0)

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2 (P0)

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- reorder patches
- added P0
- bristuff-0.2.0-rc1 (P2)

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- added P1 by Klaus-Peter Junghanns

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- 1.0 RC2
- fix P0

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-3mdk
- rebuild

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-2mdk
- Copyright/License

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contrib
